{% extends '/easyAdmin/layout/linked_user_layout.html.twig' %}

{#vendor/easycorp/easyadmin-bundle/src/Resources/views/layout.html.twig#}

{% block content %}
    {# TODO creer un twig container pour la deuxieme bar menu gestion product #}
    <div class = "container">
        <div class="row justify-content-center">
            <a href="{{ path('app_company_add_stockpile', {companySlug: company.companySlug}) }}">
                <button class="btn btn-lg btn-primary">
                    <i class="fas fa-plus-circle"></i>
                    <p>Add stockpile</p>
                </button>
            </a>
            <a href={{ path('app_company_investment_choice_stockpile_product', {companySlug: company.companySlug, investmentSlug: company.companySlug ~ '-resources' }) }}>
                <button class="btn btn-lg btn-primary">
                    <i class="fas fa-plus-circle"></i>
                    <p>Add a product</p>
                </button>
            </a>
            <a href="{{ path('app_company_add_investment', {companySlug: company.companySlug}) }}">
                <button class="btn btn-lg btn-primary">
                    <i class="fas fa-plus-circle"></i>
                    <p>Add investment</p>
                </button>
            </a>
        </div>
        <div class="row">
            <button><h2>Look in the stockpile</h2></button>
            <button><h2>Filtres entrepot</h2></button>
            <button><h2>Filtre je sais pas</h2></button>
            <button class="btn btn-lg btn-primary"><i class="fas fa-cog"></i></button>
        </div>

        {% for investment, content in products %}
            {% for product in content %}
                <div class="row col-lg-6">
                    {% if products|default %}
                            <div class="container post-login-card">
                                <h2>{{ investment }}</h2>
                                <div class="circle col-lg-6">
                                    <h4>{{ product.name }}</h4>
                                    <h3>{{ product.bigCost }}</h3>
                                  <a  href="{{ path('app_compagny_product_details', {companySlug: company.companySlug, productReference: product.productReference}) }}" >détails du produits</a>
                                </div>
                            </div>
                    {% endif %}
                </div>
            {% endfor %}
        {% endfor %}
    </div>

{% endblock content %}